# The big Makefile.  Choose your compiler and its flags, type make,
# then walk away for a while.  When compilation is done, type 'tfft > temp'
# examine temp to see if anything went crazy.
# Note that a lot of stuff is dependent on fft.h, that dependence is not
# refected in this makefile

######################################################################
#  These are all you should have to change
######################################################################

       SRCS = fft.c tab.c dintime.c idintime.c bitrev.c b512.c dint.c idint.c
     LIBNAME = fft

######################################################################
#                The following variables are set by 
#	     config/makemake automatically. All manual changes will
#		 be lost when you type 'make Makefile'
######################################################################

        BINTYPE = iris4d
         SYSTEM = sgi
            TOP = /homes/neuron/a/tap/src
             AR = ar
        ARFLAGS = rcs
         BINDIR = $(TOP)/bin/$(BINTYPE)
             CC = cc
        CCFLAGS = -fullwarn -woff 269
     CDEBUGFLAG = -O2
         CFLAGS = $(CPPFLAGS) $(CDEBUGFLAG) $(CCFLAGS) $(REALFLAG)
       CPPFLAGS = -I$(TOP)
    CSINGLEFLAG =
        LDFLAGS = -L$(LIBDIR)
            LIB = $(LIBDIR)/lib$(LIBNAME)$(LIBEXT).a
         LIBDIR = $(TOP)/lib/$(BINTYPE)
         LIBEXT = d
         RANLIB = @\#
       REALFLAG = -DDOUBLE
            RMF = /bin/rm -f
          SHELL = /bin/sh
     SIGNALTYPE = BSD
       SYSCLIBS = -ll -lm -lbsd

######################################################################
#   The following section MAY be edited.
#   It is not changed by config/makemake
######################################################################

       OBJS = $(SRCS:.c=.o)
   PROGRAMS = 
       LIBS = -lm $(SYSCLIBS)

default: $(LIB)

clean:
	$(RMF) $(OBJS)

cleanall:
	$(RMF) $(PROGRAMS) $(OBJS)

Makefile::
	@echo "  $(TOP)/config/makemake"
	@$(TOP)/config/makemake

depend::
	@echo "makedepend $(CPPFLAGS) $(SRCS)"
	@makedepend $(CPPFLAGS) $(SRCS)

$(LIB): $(OBJS)
	$(RMF) $(LIB)
	$(AR) $(ARFLAGS) $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

tfft: tfft.o $(OBJS)
	$(CC) $(CFLAGS) -o tfft tfft.o $(OBJS)

tab.o: tab.c fft.c
	$(CC) $(CFLAGS) -c tab.c

tarfile:
	tar cf fft.tar Makefile README WHERE b512.c bitrev.c dint.c dintime.c fft.c fft.h idint.c idintime.c tab.c tfft.c
	compress fft.tar

# DO NOT DELETE THIS LINE -- make depend depends on it.

