#include "utils.h"
#include "real.h"

/*  copyright 1990  Richard H. Krukar all rights reserved

	Permission granted to buy, sell, or steal this software is granted.
    The author retains the right to distribute this software freely, but
    is not responsible for it's quality or maintainance. */

#define TLEN (4096)
#define UNROL (128)

#define PI (3.141592653589793238462643)

struct complex { real r,i; };
extern real	wtab[];

extern void	rfft(real *, int);
extern void	rifft(real *, int);
extern void	fft(struct complex *, int);
extern void	ifft(struct complex *, int);
extern void	bitrev(real *, int);
extern void	dintime(struct complex *, int, real *);
extern void	idintime(struct complex *, int, real *);
extern void	bitrev512(real *, int);
extern void	dint(real *, int, real *);
extern void	idint(real *, int, real *);
